Skip to main content

Creates new PIX withdrawal request by key

POST 

/api/v2/withdraw

Creates a new withdrawal request using PIX as the payment method.

Request

Body

required
    value doublerequired

    Value to be paid

    type_key_pix type_key_pix (string)required

    Possible values: [cpf, cnpj, email, phone, evp]

    PIX key type

    key key (string)required

    PIX key

    description description (string)required

    Description of the payment

    client_name client_name (string)required

    Client's name

    client_email client_email (string)required

    Client's email

    client_document client_document (string)required

    Client's document (CPF or CNPJ)

    merchant_id merchant_id (string)required

    Merchant's ID for conciliation

Responses

Successful operation

Schema
    status status (string)

    Possible values: [pending, failed]

    Transaction's status

    message message (string)

    Payment's description

    transaction_uuid transaction_uuid (string)

    Transaction's UUID

    error_code error_code (string)nullable

    Possible values: [null, BANK_ACCOUNT_UNAUTHORIZED, BANK_ACCOUNT_NOT_FOUND, BANK_ACCOUNT_CANNOT_WORK_FOR_THIS_OPERATION, CLIENT_BANK_ACCOUNT_NOT_REGISTERED, INVALID_BANK_NAME, BANK_INTEGRATION_IS_DISABLED, WITHDRAWAL_LIMIT_PER_CPF_PER_HOUR_REACHED, DUPLICATED_WITHDRAWAL, DUPLICATED_WITHDRAWAL_BY_MERCHANT_ID, WITHDRAWAL_UNAVAILABLE, CLIENT_IS_BLOCKLISTED, CLIENT_HAS_KYC_RESTRICTION, CLIENT_TEMPORARILY_BLOCKED, FORBIDDEN_FINANCIAL_INSTITUTION, UNAVAILABILITY_AT_THE_BANK, UNAVAILABLE_WITHDRAWAL, UNABLE_TO_DECODE, PIX_KEY_DOES_NOT_BELONGS_TO_USER, BACEN_LIMIT_REACHED]

    Payment's error code

Loading...